<div class="container">
  <div class="my-4">
    <button type="button" class="btn btn-info" (click)="onClickPDF()">PDF</button>
    <ng-container *ngIf="role>0">
      <a class="btn btn-success m-2 text-white" routerLink="/reference/edit/{{reference.id}}">Modifier</a>
      <button type="button" class="btn btn-danger" (click)="onClickDelete()">Supprimer</button>
    </ng-container>

  </div>
  <div class="container">
    <div class="border p-3 bg-primary text-white">
      <h2>{{reference.nomMission}}</h2>
      <div class="row justify-content-between">
        <div class="col-4"><b>Client</b> : {{reference.nomClient}}</div>
        <div class="col-4"><b>Domaine</b> : {{reference.domaine}}</div>
      </div>
    </div>

    <div class="row p-3">
      <div class="col">Location : {{reference.ville}} ({{reference.departement}})</div>
    </div>

    <div class="row p-3">
      <div class="col">
        <img src="" width="150 px" height="150 px"/>
      </div>

      <div class="col">
        <div>
          <div><b>Dates</b></div>
          <div>{{reference.anneeDebut}} - {{reference.anneeFin}}</div>
        </div>

        <div class="mt-4">
          <ng-container *ngIf="role>=0">
            <div><b>Montant des prestations</b></div>
            <div>{{reference.montantPresta | currency: "EUR"}}</div>
          </ng-container>
        </div>
      </div>
    </div>

    <div class="border px-3 pt-3">
      <h4 class="text-info">Détails de la mission</h4>
      <p style="white-space: pre-wrap">{{reference.detailsPresta}}</p>
    </div>
  </div>
</div>
